# List channels

List the Telegram channels configured in a workspace.

## Endpoint

`GET /api/v1/workspaces/{workspace_id}/channels`

## Authentication

| Class | Authentication | Minimum role | API key |
| --- | --- | --- | --- |
| dashboard-session-api | Dashboard session cookie; mutations also require X-CX-Request: 1. | member | Not allowed |

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `workspace_id` | path | `string` | Yes | — |

## Request body

This operation has no request body.

## Example

```bash
curl --request GET 'https://operade.ai/api/v1/workspaces/ws_demo/channels' \
  --cookie 'cx_session=YOUR_SESSION_COOKIE'
```

## Responses

| Status | Description | Content |
| --- | --- | --- |
| 4XX | Handled client error | application/json: `ErrorResponse` |
| 200 | Successful Response | application/json: `ChannelListResponse` |

### 4XX application/json response schema

| Field path | Type | Reference | Format | Nullable | Required | Enum | Description |
| --- | --- | --- | --- | --- | --- | --- | --- |
| `$` | `object` | ErrorResponse | — | No | Yes | — | — |
| `error` | `object` | ErrorItem | — | No | Yes | — | — |
| `error.code` | `string` | — | — | No | Yes | — | — |
| `error.details` | `object` | — | — | No | No | — | — |
| `error.message` | `string` | — | — | No | Yes | — | — |

### 200 application/json response schema

| Field path | Type | Reference | Format | Nullable | Required | Enum | Description |
| --- | --- | --- | --- | --- | --- | --- | --- |
| `$` | `object` | ChannelListResponse | — | No | Yes | — | — |
| `items` | `array<Channel>` | — | — | No | Yes | — | — |
| `items[]` | `object` | Channel | — | No | Yes | — | — |
| `items[].agent_id` | `string` | — | — | No | Yes | — | — |
| `items[].created_at` | `string` | — | date-time | No | Yes | — | — |
| `items[].enabled` | `boolean` | — | — | No | Yes | — | — |
| `items[].external_id` | `string or null` | — | — | Yes | Yes | — | — |
| `items[].id` | `string` | — | — | No | Yes | — | — |
| `items[].secret_name` | `string or null` | — | — | Yes | Yes | — | — |
| `items[].type` | `string` | — | — | No | Yes | "telegram" | — |
| `items[].workspace_id` | `string` | — | — | No | Yes | — | — |

### Response example

```json
{
  "items": []
}
```

## Errors

Reviewed common and route-declared errors are summarized here; the list is not exhaustive. Start with the [distributed error index](/docs/reference/api/errors) to find each code's canonical domain page.

| Status | Code | Description |
| --- | --- | --- |
| 401 | `unauthenticated` | Authentication is missing, invalid, or revoked. |
| 403 | `forbidden` | The authenticated caller does not have access to this operation. |
| 404 | `not_found` | The requested workspace resource was not found. |

## Related operations

- [Create a channel](/docs/api-reference/channels/create-channel) — `POST /api/v1/workspaces/{workspace_id}/channels`
- [Delete a channel](/docs/api-reference/channels/delete-channel) — `DELETE /api/v1/workspaces/{workspace_id}/channels/{channel_id}`
- [Update a channel](/docs/api-reference/channels/update-channel) — `PATCH /api/v1/workspaces/{workspace_id}/channels/{channel_id}`
